/**************************************************************************
 *  This file is part of QuteScoop.
 *  Copyright (C) 2007-2008 Martin Domig <martin@domig.net>
 *
 *  QuteScoop is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  QuteScoop is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with QuteScoop.  If not, see <http://www.gnu.org/licenses/>
 **************************************************************************/

#ifndef CLIENTSELECTIONWIDGET_H_
#define CLIENTSELECTIONWIDGET_H_

#include "ui_ClientSelectionDialog.h" // file generated by UIC from PilotDetails.ui

#include <QDialog>
#include <QList>

#include "MapObject.h"

class ClientSelectionWidget : public QDialog, private Ui::ClientSelectionDialog
{
	Q_OBJECT
	
public:
	ClientSelectionWidget(QWidget *parent = 0);
	
	void setObjects(QList<MapObject*> objects);
	void clearClients();

public slots:
	void dialogForItem(QListWidgetItem * item);

protected:
	virtual void focusOutEvent(QFocusEvent *event);

private:
	QList<MapObject*> displayClients;
};

#endif
